Bug 810381 - FSError: failed to get block size for ext4 filesystem on /dev/md126
FSError: failed to get block size for ext4 filesystem on /dev/md126
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:732757c0cd2bcfde301bec5dcd0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 15:41 EDT by Colin J Thomson
Modified: 2013-07-31 19:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:53:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-QNoEYB (317.28 KB, text/plain)
2012-04-05 15:41 EDT, Colin J Thomson
no flags Details

  None (edit)
Description Colin J Thomson 2012-04-05 15:41:44 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-QNoEYB
hashmarkername: anaconda
kernel:         3.3.0-1.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           Thu 05 Apr 2012 07:40:24 PM UTC
version:        17-Beta

anaconda-tb-QNoEYB: Text file, 324895 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.18 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 1014, in minSize
:    "on %s" % (self.mountType, self.device))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 157, in __init__
:    foo = self.minSize      # force calculation of minimum size
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/__init__.py", line 88, in getFormat
:    fmt = fmt_class(*args, **kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2006, in _parseOneLine
:    fmt = getFormat(fstype, device=device.path, exists=True)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2103, in parseFSTab
:    device = self._parseOneLine((devspec, mountpoint, fstype, options, dump, passno))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1670, in mountExistingSystem
:    fsset.parseFSTab(anaconda=anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/upgrade.py", line 178, in upgradeMountFilesystems
:    mountExistingSystem(anaconda, anaconda.upgradeRoot[0], allowDirty = 0)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
:    self.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
:    self.anaconda.dispatch.go_forward()
:FSError: failed to get block size for ext4 filesystem on /dev/md126

environ:
:LANG=en_US.UTF-8
:LC_NUMERIC=C
:TERM=linux
:BOOT_IMAGE=vmlinuz
:XAUTHORITY=/root/.Xauthority
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=0
:PYTHONPATH=/tmp/updates
:PWD=/
:GNOME_DISABLE_CRASH_DIALOG=1
:LIBUSER_CONF=/tmp/libuser.Kf5uM2
:LVM_SUPPRESS_FD_WARNINGS=1
:initrd=initrd.img
:MALLOC_PERTURB_=204
:GCONF_GLOBAL_LOCKS=1
:HOME=/tmp
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/sbin:/usr/sbin
:MALLOC_CHECK_=2
:DISPLAY=:1
Comment 1 Colin J Thomson 2012-04-05 15:41:56 EDT
Created attachment 575536 [details]
File: anaconda-tb-QNoEYB
Comment 2 Norbert Papke 2012-04-22 14:12:21 EDT
In my case, the md device the failure occurred on corresponds to my "/boot" partition.  It did not appear in /proc/mdstat.  The "/" partition was recognized and showed up in /proc/mdstat.

On my F16 system, both devices are visible:

# cat /proc/mdstat 
Personalities : [raid1] 
md1 : active raid1 sdb2[1] sda2[0]
      624864128 blocks [2/2] [UU]
      
md0 : active raid1 sdb1[1] sda1[0]
      264960 blocks [2/2] [UU]
      
unused devices: <none>
Comment 3 Fedora End Of Life 2013-07-03 18:11:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 19:53:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.